package no.ntnu.stockmeks;

public class Logger {
	String className;
	public Logger(String className){
		this.className = className;
	}
	public Logger(){
		this.className = "System";
	}
	public void warn(String msg){
		System.out.println("!! " + className + ": " + msg);
	}
	public void debug(String msg){
		System.out.println(className + ": " + msg);
	}
	public void error(String msg){
		System.err.println(className + ": " + msg);
	}
	public void buy(String agentName,String date, String ticker, double price){
		System.out.println(agentName + "_BUY: " + ticker + " " + date + ", price: " + price);
	}
	public void sell(String agentName, String date, String ticker, double price, double earnings){
		System.out.println(agentName + "_SELL: " + ticker + " " + date + ", price: " + price + " (earnings: " + earnings + ")");
	}
	public void output(String msg){
		System.out.println(msg);
	}
	
}
