package no.ntnu.stockmeks.agent;
import no.ntnu.stockmeks.Logger;
import no.ntnu.stockmeks.StockTicker;

/*
 * Interface to be implemented by agents
 */
public interface Agent {
	public final int SIGNAL_SELL = -1;
	public final int SIGNAL_BUY = 1;
	public final int SIGNAL_HOLD = 0;
	public final int SIGNAL_ERROR = 0;
	
	public final String[] signalString = {"SELL","HOLD","BUY"};

	AgentHelper helper = new AgentHelper();
	Logger log = new Logger("Agent");
	
	//methods to be implemented by agents
	public String getAgentName();
	public int getSignal(StockTicker ticker);
	public int getSignal(StockTicker ticker,int atDayNumber);
	public int[] getSignalDays(StockTicker ticker);
	
}
