package no.ntnu.stockmeks.agent;

/*
 * Class evaluating the main index for help with january effect agent
 */
import no.ntnu.stockmeks.StockTicker;
public class IndexInfo {
	StockTicker index;
	
	public IndexInfo(){
		importIndex("osebx");
	}
	public IndexInfo(String indexName){
		importIndex(indexName);
	}
	
	public void importIndex(String indexName){
		index = new StockTicker(indexName);
		index.doHistoryImport(index.IMPORT_FROM_FILE);
	}
	
	public boolean wasUpYear(int year){
		double beginYear = 0;
		double endYear = 0;
		for(int i=0;i<index.getSize();i+=5){
			if(index.getYear(i)==year){
				if(beginYear==0) beginYear = index.getClose(i);
				else endYear = index.getClose(i);
			}
		}
		if(beginYear<endYear) return true;
		else return false;
	}
}