package no.ntnu.stockmeks.agent;

import no.ntnu.stockmeks.StockTicker;

public class MayAgent implements Agent{

	public String getAgentName() {
		return "Sell in may";
	}

	public int getSignal(StockTicker ticker) {
		return getSignal(ticker,ticker.getSize()-1);
	}

	public int getSignal(StockTicker ticker, int atDayNumber) {
		if(ticker.getMonth(atDayNumber)==5) return SIGNAL_SELL;
		else if(ticker.getMonth(atDayNumber)==10) return SIGNAL_BUY;
		else return SIGNAL_HOLD;
	}


	public int[] getSignalDays(StockTicker ticker) {
		return helper.getSignalDays(this,ticker);
	}
	
	

	
	
}
